Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface ValueExp

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AttributeValueExp, StringValueExp

public interface ValueExp
extends java.io.Serializable

Represents values that can be passed as arguments to relational expressions. Strings, numbers, attributes are valid values and should be represented by implementations of `ValueExp`.

Method Summary
`ValueExp` | `apply(ObjectName name)` Applies the ValueExp on a MBean.
`void` | `setMBeanServer(MBeanServer s)` Deprecated. This method is not needed because a `ValueExp` can access the MBean server in which it is being evaluated by using `QueryEval.getMBeanServer()`.

Method Detail

### apply

    public ValueExp apply(ObjectName name)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Applies the ValueExp on a MBean.

  Parameters:
    `name` - The name of the MBean on which the ValueExp will be applied.
  Returns:
    The `ValueExp`.
  Throws:
    `BadStringOperationException`
    `BadBinaryOpValueExpException`
    `BadAttributeValueExpException`
    `InvalidApplicationException`

### setMBeanServer

    public void setMBeanServer(MBeanServer s)

  Deprecated. This method is not needed because a `ValueExp` can access the MBean server in which it is being evaluated by using `QueryEval.getMBeanServer()`.

  Sets the MBean server on which the query is to be performed.

  Parameters:
    `s` - The MBean server on which the query is to be performed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.